﻿// Paxnaman, a new clone of the old classic game Puckman.
// Copyright (C) 2009  Gorka Suárez García
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

namespace Pacman {
    /// <summary>
    /// This enumeration represents the different types of ghost's states.
    /// </summary>
    public enum GhostControlState {
        /// <summary>The id of the house state.</summary>
        House,
        /// <summary>The id of the scatter state.</summary>
        Scatter,
        /// <summary>The id of the chase state.</summary>
        Chase,
        /// <summary>The id of the frightened state.</summary>
        Frightened,
        /// <summary>The id of the dead state.</summary>
        Dead
    }
}
